• Русский
  • VpcEgressGateway [vpc-egress-gateways.kubeovn.io/v1]

    Type
    object

    Specification

    PropertyTypeDescription
    statusobject
    specobject

    .status

    Type
    object
    Required
    conditionsphase
    PropertyTypeDescription
    replicasinteger
    labelSelectorstring
    conditionsarray
    internalIPsarray
    externalIPsarray
    phasestring
    readyboolean
    workloadobject

    .status.conditions

    Type
    array

    .status.conditions[]

    Type
    object
    Required
    lastTransitionTimelastUpdateTimeobservedGenerationreasonstatustype
    PropertyTypeDescription
    lastTransitionTimestring
    lastUpdateTimestring
    messagestring
    observedGenerationinteger
    reasonstring
    statusstring
    typestring

    .status.internalIPs

    Type
    array

    .status.internalIPs[]

    Type
    string

    .status.externalIPs

    Type
    array

    .status.externalIPs[]

    Type
    string

    .status.workload

    Type
    object
    PropertyTypeDescription
    apiVersionstring
    kindstring
    namestring
    nodesarray

    .status.workload.nodes

    Type
    array

    .status.workload.nodes[]

    Type
    string

    .spec

    Type
    object
    Required
    externalSubnet
    PropertyTypeDescription
    replicasinteger
    prefixstring
    vpcstring
    internalSubnetstring
    externalSubnetstring
    internalIPsarray
    externalIPsarray
    imagestring
    bfdobject
    selectorsarray
    policiesarray
    trafficPolicystring
    nodeSelectorarray

    .spec.internalIPs

    Type
    array

    .spec.internalIPs[]

    Type
    string

    .spec.externalIPs

    Type
    array

    .spec.externalIPs[]

    Type
    string

    .spec.bfd

    Type
    object
    PropertyTypeDescription
    enabledboolean
    minRXinteger
    minTXinteger
    multiplierinteger

    .spec.selectors

    Type
    array

    .spec.selectors[]

    Type
    object
    PropertyTypeDescription
    namespaceSelectorobject
    podSelectorobject

    .spec.selectors[].namespaceSelector

    Type
    object
    PropertyTypeDescription
    matchLabelsobject
    matchExpressionsarray

    .spec.selectors[].namespaceSelector.matchLabels

    Type
    object

    .spec.selectors[].namespaceSelector.matchExpressions

    Type
    array

    .spec.selectors[].namespaceSelector.matchExpressions[]

    Type
    object
    Required
    keyoperator
    PropertyTypeDescription
    keystring
    operatorstring
    valuesarray

    .spec.selectors[].namespaceSelector.matchExpressions[].values

    Type
    array

    .spec.selectors[].namespaceSelector.matchExpressions[].values[]

    Type
    string

    .spec.selectors[].podSelector

    Type
    object
    PropertyTypeDescription
    matchLabelsobject
    matchExpressionsarray

    .spec.selectors[].podSelector.matchLabels

    Type
    object

    .spec.selectors[].podSelector.matchExpressions

    Type
    array

    .spec.selectors[].podSelector.matchExpressions[]

    Type
    object
    Required
    keyoperator
    PropertyTypeDescription
    keystring
    operatorstring
    valuesarray

    .spec.selectors[].podSelector.matchExpressions[].values

    Type
    array

    .spec.selectors[].podSelector.matchExpressions[].values[]

    Type
    string

    .spec.policies

    Type
    array

    .spec.policies[]

    Type
    object
    PropertyTypeDescription
    snatboolean
    ipBlocksarray
    subnetsarray

    .spec.policies[].ipBlocks

    Type
    array

    .spec.policies[].ipBlocks[]

    Type
    string

    .spec.policies[].subnets

    Type
    array

    .spec.policies[].subnets[]

    Type
    string

    .spec.nodeSelector

    Type
    array

    .spec.nodeSelector[]

    Type
    object
    PropertyTypeDescription
    matchLabelsobject
    matchExpressionsarray
    matchFieldsarray

    .spec.nodeSelector[].matchLabels

    Type
    object

    .spec.nodeSelector[].matchExpressions

    Type
    array

    .spec.nodeSelector[].matchExpressions[]

    Type
    object
    Required
    keyoperator
    PropertyTypeDescription
    keystring
    operatorstring
    valuesarray

    .spec.nodeSelector[].matchExpressions[].values

    Type
    array

    .spec.nodeSelector[].matchExpressions[].values[]

    Type
    string

    .spec.nodeSelector[].matchFields

    Type
    array

    .spec.nodeSelector[].matchFields[]

    Type
    object
    Required
    keyoperator
    PropertyTypeDescription
    keystring
    operatorstring
    valuesarray

    .spec.nodeSelector[].matchFields[].values

    Type
    array

    .spec.nodeSelector[].matchFields[].values[]

    Type
    string

    API Endpoints

    The following API endpoints are available:

    • /apis/kubeovn.io/v1/namespaces/{namespace}/vpcegressgateways
      • DELETE: delete collection of VpcEgressGateway
      • GET: list objects of kind VpcEgressGateway
      • POST: create a new VpcEgressGateway
    • /apis/kubeovn.io/v1/namespaces/{namespace}/vpcegressgateways/{name}
      • DELETE: delete the specified VpcEgressGateway
      • GET: read the specified VpcEgressGateway
      • PATCH: partially update the specified VpcEgressGateway
      • PUT: replace the specified VpcEgressGateway
    • /apis/kubeovn.io/v1/namespaces/{namespace}/vpcegressgateways/{name}/status
      • GET: read status of the specified VpcEgressGateway
      • PATCH: partially update status of the specified VpcEgressGateway
      • PUT: replace status of the specified VpcEgressGateway

    /apis/kubeovn.io/v1/namespaces/{namespace}/vpcegressgateways

    HTTP method
    DELETE
    Description
    delete collection of VpcEgressGateway
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind VpcEgressGateway
    HTTP responses
    HTTP codeResponse body
    200 - OKVpcEgressGatewayList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new VpcEgressGateway
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVpcEgressGateway schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVpcEgressGateway schema
    201 - CreatedVpcEgressGateway schema
    202 - AcceptedVpcEgressGateway schema
    401 - UnauthorizedEmpty

    /apis/kubeovn.io/v1/namespaces/{namespace}/vpcegressgateways/{name}

    HTTP method
    DELETE
    Description
    delete the specified VpcEgressGateway
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified VpcEgressGateway
    HTTP responses
    HTTP codeResponse body
    200 - OKVpcEgressGateway schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified VpcEgressGateway
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKVpcEgressGateway schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified VpcEgressGateway
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVpcEgressGateway schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVpcEgressGateway schema
    201 - CreatedVpcEgressGateway schema
    401 - UnauthorizedEmpty

    /apis/kubeovn.io/v1/namespaces/{namespace}/vpcegressgateways/{name}/status

    HTTP method
    GET
    Description
    read status of the specified VpcEgressGateway
    HTTP responses
    HTTP codeResponse body
    200 - OKVpcEgressGateway schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified VpcEgressGateway
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKVpcEgressGateway schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified VpcEgressGateway
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyVpcEgressGateway schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKVpcEgressGateway schema
    201 - CreatedVpcEgressGateway schema
    401 - UnauthorizedEmpty